## node-jest 27.5.1~ds+~cs69.51.22

=== debian/changelog ===
node-jest (27.5.1~ds+~cs69.51.22-2) unstable; urgency=medium

  * Add missing dependency to node-strip-json-comments (Closes: #1005546)

 -- Yadd <yadd@debian.org>  Sun, 13 Feb 2022 09:12:18 +0100

node-jest (27.5.1~ds+~cs69.51.22-1) unstable; urgency=medium

  * New upstream version 27.5.1~ds+~cs69.51.22
  * Refresh patches
  * Add dependency to node-parse-json
  * Don't fail if typescript declarations contain references
  * Clean @types/* build dependencies

 -- Yadd <yadd@debian.org>  Sat, 12 Feb 2022 07:45:25 +0100

node-jest (27.5.0~ds+~cs69.51.22-1) unstable; urgency=medium

  * New upstream version 27.5.0~ds+~cs69.51.22
  * Unfuzz patches
  * Replace embedded csstype and async-done by dependencies to related
    packages

 -- Yadd <yadd@debian.org>  Sun, 06 Feb 2022 09:01:25 +0100

node-jest (27.4.7~ds+~cs69.51.22-1) unstable; urgency=medium

  * Embed cjs-module-lexer and remove embedded build module
  * New upstream version 27.4.7~ds+~cs69.51.22
  * Update copyright
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Mon, 17 Jan 2022 10:27:30 +0100

node-jest (27.4.7~ds+~cs68.49.20-2) unstable; urgency=medium

  * Update fix-typescript.patch for yargs ≥ 17

 -- Yadd <yadd@debian.org>  Fri, 07 Jan 2022 21:35:12 +0100

node-jest (27.4.7~ds+~cs68.49.20-1) unstable; urgency=medium

  * Add debian/tests/pkg-js/require-SKIP to skip some require tests
  * New upstream version 27.4.7~ds+~cs68.49.20
  * Increase fix-typescript.patch size...
  * Embed @tsconfig/node10/tsconfig.json for build only
  * Update copyright
  * Fix @bcoe/coverage build (discovered using new pkg-js-autopkgtest
    features)
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Fri, 07 Jan 2022 18:28:42 +0100

node-jest (27.4.5~ds+~cs68.44.26-2) unstable; urgency=medium

  * Replace embedded build module "bundt" by dependency to node-bundt
    (reported by `lintian --profile pkg-js-extra`)

 -- Yadd <yadd@debian.org>  Tue, 14 Dec 2021 15:59:53 +0100

node-jest (27.4.5~ds+~cs68.44.26-1) unstable; urgency=medium

  * New upstream version 27.4.5~ds+~cs68.44.26
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 14 Dec 2021 14:19:57 +0100

node-jest (27.4.4~ds+~cs68.44.26-1) unstable; urgency=medium

  * New upstream version 27.4.4~ds+~cs68.44.26
  * Update lintian overrides
  * Refresh patches

 -- Yadd <yadd@debian.org>  Fri, 10 Dec 2021 16:10:55 +0100

node-jest (27.4.3~ds+~cs68.44.26-1) unstable; urgency=medium

  * Embed jest-snapshot-serializer-raw (needed for next ts-jest)
  * New upstream version 27.4.3~ds+~cs68.44.26
  * Build jest-snapshot-serializer-raw with tsc
  * Update copyright

 -- Yadd <yadd@debian.org>  Mon, 06 Dec 2021 10:37:02 +0100

node-jest (27.4.3~ds+~cs67.42.26-2) unstable; urgency=medium

  * Use @types/babel__template instead of @babel/template to build typescript
    declarations (fixes debci with new node-babel7)

 -- Yadd <yadd@debian.org>  Thu, 02 Dec 2021 11:53:53 +0100

node-jest (27.4.3~ds+~cs67.42.26-1) unstable; urgency=medium

  * New upstream version 27.4.3~ds+~cs67.42.26

 -- Yadd <yadd@debian.org>  Wed, 01 Dec 2021 19:24:28 +0100

node-jest (27.4.2~ds+~cs67.42.26-1) unstable; urgency=medium

  * New upstream version 27.4.2~ds+~cs67.42.26
  * Update tsc patch
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 01 Dec 2021 09:46:50 +0100

node-jest (27.3.1~ds+~cs67.42.26-1) unstable; urgency=medium

  * Update copyright
  * Update node-fast-json-stable-stringify dependency
  * Build with dh-sequence-nodejs ≥ 0.9.83~ to avoid some stupid FTBFS
  * Update lintian overrides
  * New upstream version 27.3.1~ds+~cs67.42.26

 -- Yadd <yadd@debian.org>  Fri, 26 Nov 2021 21:22:54 +0100

node-jest (27.3.1~ds+~cs67.42.24-7) unstable; urgency=medium

  * Back to unstable after successful tests
  * Update lintian overrides
  * Add whatis entries in manpages

 -- Yadd <yadd@debian.org>  Fri, 29 Oct 2021 15:05:58 +0200

node-jest (27.3.1~ds+~cs67.42.24-6) experimental; urgency=medium

  * Replace jest dependency to nodejs by nodejs:any
  * Fix executables install
  * Add test dependency to resolve-cwd

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 23:31:47 +0200

node-jest (27.3.1~ds+~cs67.42.24-5) experimental; urgency=medium

  * Render jest arch-indep, many thanks to Jérémy Lal for the tip!
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 17:32:55 +0200

node-jest (27.3.1~ds+~cs67.42.24-4) unstable; urgency=medium

  * Drop useless build dependency to yarn
  * Fix jest install (fixes Multi-Arch issues)

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 07:33:53 +0200

node-jest (27.3.1~ds+~cs67.42.24-3) unstable; urgency=medium

  * Link @types/scheduler during build (fixes debci since react upgrade)

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 06:29:58 +0200

node-jest (27.3.1~ds+~cs67.42.24-2) unstable; urgency=medium

  * Move resolve.exports to node-jest-debbundle.install
  * Fix nodejs paths
  * Back to unstable

 -- Yadd <yadd@debian.org>  Fri, 22 Oct 2021 14:12:46 +0200

node-jest (27.3.1~ds+~cs67.42.24-1) experimental; urgency=medium

  * Fix filenamemangle
  * Clean debian/watch (duplicate)
  * New upstream version 27.3.1~ds+~cs67.42.24
  * Update patches
  * Build-Depends on node-typescript (>= 4.4.4~)
  * Update @bcoe/v8-coverage build
  * Embed resolve.exports
    + Embed bundt for build only
    + Add build dependency to node-browserify-lite
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 21 Oct 2021 11:04:51 +0200

node-jest (27.2.5~ds+~cs67.45.25-1) unstable; urgency=medium

  * New upstream version 27.2.5~ds+~cs67.45.25
  * Add build dependency to node-types-mocha
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 12 Oct 2021 16:52:26 +0200

node-jest (27.2.4~ds+~cs67.45.24-1) unstable; urgency=medium

  * New upstream version 27.2.4~ds+~cs67.45.24
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 30 Sep 2021 18:05:45 +0200

node-jest (27.2.3~ds+~cs67.45.24-1) unstable; urgency=medium


