=== debian/control ===
Source: node-jest
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
 Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: chai
 , debhelper-compat (= 13)
 , dh-sequence-nodejs (>= 0.9.84~)
 , help2man
 , jq
 , node-async-done
 , node-ansi-escapes
 , node-ansi-regex
 , node-ansi-styles
 , node-anymatch (>= 3.1.2)
 , node-babel-core (>= 7.8.3)
 , node-babel-preset-react (>= 7)
 , node-babel-register (>= 7)
 , node-babel-traverse (>= 7)
 , node-babel7
 , node-braces
 , node-browserify-lite
 , node-browserslist
 , node-bundt
 , node-camelcase
 , node-chalk
 , node-chokidar
 , node-ci-info
 , node-co
 , node-color-name
 , node-convert-source-map
 , node-cosmiconfig
 , node-crypto-browserify <!nocheck>
 , node-csstype
 , node-deepmerge
 , node-detect-newline
 , node-emittery
 , node-execa
 , node-exit
 , node-fast-json-stable-stringify (>= 2.1)
 , node-flow-remove-types <!nocheck>
 , node-glob
 , node-glob-stream
 , node-graceful-fs
 , node-is-generator-fn
 , node-istanbul
 , node-jsdom
 , node-json-stable-stringify
 , node-leven
 , node-make-error
 , node-merge-stream
 , node-micromatch
 , node-minimatch
 , node-minimist
 , node-mkdirp <!nocheck>
 , node-normalize-package-data
 , node-parse-json
 , node-prompts <!nocheck>
 , node-prop-types
 , node-react
 , node-read-pkg
 , node-read-pkg-up
 , node-resolve
 , node-resolve-cwd <!nocheck>
 , node-resolve-from
 , node-rimraf
 , node-rollup-plugin-babel
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-json
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-typescript
 , node-sane <!nocheck>
 , node-semver
 , node-sinon
 , node-slash
 , node-source-map
 , node-source-map-support
 , node-stack-utils
 , node-strip-ansi <!nocheck>
 , node-strip-bom
 , node-strip-json-comments <!nocheck>
 , node-supports-color
 , node-tough-cookie
 , node-types-gulp
 , node-types-node
 , node-types-mocha
 , node-types-vinyl-fs
 , node-types-undertaker
 , node-types-undertaker-registry
 , node-typescript (>= 4.4.4~)
 , node-v8-to-istanbul (>= 8~)
 , node-vinyl
 , node-write-file-atomic
 , node-yargs
 , node-yargs-parser
 , rollup (>= 2~)
 , ts-node
 , webpack
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-jest
Vcs-Git: https://salsa.debian.org/js-team/node-jest.git
Homepage: https://jestjs.io
Rules-Requires-Root: no

Package: jest
Architecture: all
Depends: ${misc:Depends}
 , node-ansi-escapes
 , node-ansi-regex
 , node-ansi-styles
 , node-anymatch
 , node-babel-code-frame (>= 7)
 , node-babel-core (>= 7)
 , node-babel-generator
 , node-babel-plugin-syntax-typescript
 , node-babel-preset-current-node-syntax
 , node-babel-traverse (>= 7)
 , node-babel-types (>= 7)
 , node-camelcase
 , node-chalk
 , node-ci-info
 , node-co
 , node-convert-source-map
 , node-cosmiconfig
 , node-deepmerge
 , node-detect-newline
 , node-emittery
 , node-execa
 , node-exit
 , node-glob
 , node-graceful-fs
 , node-is-generator-fn
 , node-istanbul
 , node-jest-debbundle
 , node-jest-worker
 , node-jsdom
 , node-json-stable-stringify
 , node-leven
 , node-micromatch
 , node-minimist
 , node-parse-json
 , node-pirates
 , node-prompts
 , node-react
 , node-read-pkg (>= 5.2~)
 , node-read-pkg-up
 , node-resolve
 , node-resolve-from
 , node-rimraf
 , node-sane
 , node-semver
 , node-sinon
 , node-slash
 , node-source-map
 , node-source-map-support
 , node-stack-utils
 , node-strip-ansi
 , node-strip-bom
 , node-strip-json-comments
 , node-types-babel-core
 , node-types-babel-traverse
 , node-v8-to-istanbul (>= 8~)
 , node-which
 , node-write-file-atomic
 , node-yargs
 , nodejs:any
Provides: ${jest:Provides}
Description: Delightful JavaScript Testing
 Some features of this testing framework are:
  * Easy Setup: Jest is a complete and easy to set up JavaScript testing
  solution. In fact, Jest works out of the box for any React project.
  * Instant Feedback: Failed tests run first. Fast interactive mode can switch
  between running all tests or only test files related to changed files.
  * Snapshot Testing: Jest can capture snapshots of React trees or other
  serializable values to simplify UI testing.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: node-jest-worker
Architecture: all
Depends: ${misc:Depends}
 , node-merge-stream
 , node-supports-color
 , node-types-node
Breaks: node-rollup-plugin-terser (<< 7.0.2-6~)
Multi-Arch: foreign
Description: Nodejs module for executing heavy tasks under forked processes in parallel
 jest-worker provides a `Promise` based interface, minimum overhead and
 bound workers.
 .
 The module works by providing an absolute path of the module to be loaded in
 all forked processes. Files relative to a node module are also accepted. All
 methods are exposed on the parent process as promises, so they can be
 `await`'ed. Child (worker) methods can either be synchronous or asynchronous.
 .
 The module also implements support for bound workers. Binding a worker means
 that, based on certain parameters, the same task will always be executed by
 the same worker. The way bound workers work is by using the returned string
 of the `computeWorkerKey` method. If the string was used before for a task,
 the call will be queued to the related worker that processed the task earlier;
 if not, it will be executed by the first available worker, then sticked to the
 worker that executed it; so the next time it will be processed by the same
 worker. If you have no preference on the worker executing the task, but you
 have defined a `computeWorkerKey` method because you want _some_ of the tasks
 to be sticked, you can return `null` from it.

Package: node-jest-debbundle
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
 , node-ansi-escapes
 , node-babel-plugin-lodash
 , node-ci-info
 , node-has-flag
 , node-pkg-dir
 , node-resolve-cwd
 , node-strip-ansi
 , node-supports-color
Provides: ${jest:depsProvides}
Description: various ittle Node.js modules needed by jest
 This package provides:
  * astral-regex
  * babel-preset-jest
  * babel-plugin-jest-hoist
  * babel-preset-moxy.
  * char-regex
  * dedent
  * import-local
  * is-ci
  * p-each-series
  * p-reduce
  * repl
  * string-length
  * terminal-link
  * throat
