=== debian/watch ===
version=4
opts=\
repacksuffix=~ds,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jest-$1/ \
 https://github.com/facebook/jest/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=jest-pnp-resolver,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jest-pnp-resolver-$1/" \
 https://registry.npmjs.org/jest-pnp-resolver https://registry.npmjs.org/jest-pnp-resolver/-/jest-pnp-resolver-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=typesjest,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-jest-$1/" \
 https://registry.npmjs.org/@types/jest https://registry.npmjs.org/@types/jest/-/jest-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
ctype=nodejs,\
component=astral-regex,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-astral-regex-$1/ \
 https://github.com/kevva/astral-regex/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=babel-preset-moxy,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-preset-moxy-$1/" \
 https://registry.npmjs.org/babel-preset-moxy https://registry.npmjs.org/babel-preset-moxy/-/babel-preset-moxy-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=bcoe-v8-coverage,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-bcoe-v8-coverage-$1/" \
 https://registry.npmjs.org/@bcoe/v8-coverage https://registry.npmjs.org/@bcoe/v8-coverage/-/v8-coverage-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
ctype=nodejs,\
component=char-regex,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-char-regex-$1/ \
 https://github.com/Richienb/char-regex/tags .*/archive/.*/v?(1[\d\.]+).tar.gz checksum

opts=\
ctype=nodejs,\
component=collect-v8-coverage,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-collect-v8-coverage-$1/ \
 https://github.com/SimenB/collect-v8-coverage/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
ctype=nodejs,\
component=dedent,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-dedent-$1/ \
 https://github.com/dmnd/dedent/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
ctype=nodejs,\
component=import-local,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-import-local-$1/ \
 https://github.com/sindresorhus/import-local/tags .*/archive/.*/v?(3[\d\.]+).tar.gz checksum

opts=\
ctype=nodejs,\
