## node-jest 28.1.3~ds+~cs70.48.29

=== debian/changelog ===
node-jest (28.1.3~ds+~cs70.48.29-1) unstable; urgency=medium

  * New upstream version (updates @types/jest)

 -- Yadd <yadd@debian.org>  Tue, 23 Aug 2022 12:05:18 +0200

node-jest (28.1.3~ds+~cs70.48.28-2) unstable; urgency=medium

  * Update typescript patch (Closes: #1016325)

 -- Yadd <yadd@debian.org>  Sat, 30 Jul 2022 14:08:40 +0200

node-jest (28.1.3~ds+~cs70.48.28-1) unstable; urgency=medium

  * New upstream version 28.1.3~ds+~cs70.48.28
  * Unfuzz patches
  * Add build link to p-limit and add explicit dependency
  * Update typescript patch

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 13:24:24 +0200

node-jest (28.1.2~ds+~cs70.48.26-3) unstable; urgency=medium

  * Indicate that node-jest-debbundle breaks jest < 28.1.2~ (Closes: #1014747)

 -- Yadd <yadd@debian.org>  Tue, 12 Jul 2022 07:48:44 +0200

node-jest (28.1.2~ds+~cs70.48.26-2) unstable; urgency=medium

  * Update copyright
  * Add dependencies to node-react-dom node-react-is node-react-test-renderer

 -- Yadd <yadd@debian.org>  Sun, 10 Jul 2022 10:55:58 +0200

node-jest (28.1.2~ds+~cs70.48.26-1) unstable; urgency=medium

  * New upstream version 28.1.2~ds+~cs70.48.26
  * Move @bcoe/v8-coverage from jest to node-jest-debbundle
  * Update typescript patch

 -- Yadd <yadd@debian.org>  Sun, 03 Jul 2022 21:55:20 +0200

node-jest (28.1.1~ds+~cs70.48.23-1) unstable; urgency=medium

  * Declare compliance with policy 4.6.1
  * New upstream version 28.1.1~ds+~cs70.48.23
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 09 Jun 2022 11:06:06 +0200

node-jest (28.1.0~ds+~cs69.52.23-1) unstable; urgency=medium

  * New upstream version 28.1.0~ds+~cs69.52.23 (updates only @types/jest)
  * Install old chalk typescript definitions into
    jest-matcher-utils/node_modules (fixes typescript builds that include
    this module)

 -- Yadd <yadd@debian.org>  Wed, 18 May 2022 09:53:26 +0200

node-jest (28.1.0~ds+~cs69.52.22-2) unstable; urgency=medium

  * Add dependency to node-fb-watchman
  * Back to unstable

 -- Yadd <yadd@debian.org>  Tue, 10 May 2022 14:27:05 +0200

node-jest (28.1.0~ds+~cs69.52.22-1) experimental; urgency=medium

  * Add dependency to node-sinclair-typebox
  * New upstream version 28.1.0~ds+~cs69.52.22
  * Refresh patches
  * Update typescript workarounds

 -- Yadd <yadd@debian.org>  Mon, 09 May 2022 10:37:10 +0200

node-jest (28.0.1~ds+~cs69.51.23-1) experimental; urgency=medium

  * New upstream version 28.0.1~ds+~cs69.51.23
  * Update patches
  * Update build modules
  * Update build
  * Requires nodejs >= 14 during build

 -- Yadd <yadd@debian.org>  Thu, 28 Apr 2022 08:16:02 +0200

node-jest (27.5.1~ds+~cs69.51.22-7) unstable; urgency=medium

  * Don't continue if typescript build fails
  * Use old node-chalk's typescript declarations to build (Closes: #1009268),
    same for node-slash and node-execa

 -- Yadd <yadd@debian.org>  Mon, 11 Apr 2022 07:28:30 +0200

node-jest (27.5.1~ds+~cs69.51.22-6) unstable; urgency=medium

  * Rebuild with dh-sequence-nodejs 0.14.14 to fix "Provides" fields

 -- Yadd <yadd@debian.org>  Fri, 01 Apr 2022 15:36:20 +0200

node-jest (27.5.1~ds+~cs69.51.22-5) unstable; urgency=medium

  * autopkgtest: don't try to require repl (builtin module in nodejs 14)

 -- Yadd <yadd@debian.org>  Sun, 27 Mar 2022 21:31:45 +0200

node-jest (27.5.1~ds+~cs69.51.22-4) unstable; urgency=medium

  * Simplify doc and Provides generation using new features provided by
    dh-sequence-nodejs 0.14.5
  * Add more "// @ts-ignore", needed for nodejs >= 14

 -- Yadd <yadd@debian.org>  Sat, 19 Mar 2022 07:09:38 +0100

node-jest (27.5.1~ds+~cs69.51.22-3) unstable; urgency=medium

  * Update clean
  * Update tsc links (Closes: #1007895)
  * Use dh_nodejs_autodocs to build components docs

 -- Yadd <yadd@debian.org>  Tue, 15 Mar 2022 17:44:58 +0100
