=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Priority: optional
 Build-Depends: chai
  , debhelper-compat (= 13)
- , dh-sequence-nodejs (>= 0.9.84~)
+ , dh-sequence-nodejs (>= 0.14.14~)
  , help2man
- , jq
  , node-async-done
  , node-ansi-escapes
  , node-ansi-regex
@@ -40,13 +39,14 @@
  , node-execa
  , node-exit
  , node-fast-json-stable-stringify (>= 2.1)
+ , node-fb-watchman
  , node-flow-remove-types <!nocheck>
  , node-glob
  , node-glob-stream
  , node-graceful-fs
  , node-is-generator-fn
  , node-istanbul
- , node-jsdom
+ , node-jsdom (>= 20.0.0+~cs119.22.37-3~)
  , node-json-stable-stringify
  , node-leven
  , node-make-error
@@ -56,10 +56,14 @@
  , node-minimist
  , node-mkdirp <!nocheck>
  , node-normalize-package-data
+ , node-p-limit
  , node-parse-json
- , node-prompts <!nocheck>
+ , node-prompts
  , node-prop-types
  , node-react
+ , node-react-dom
+ , node-react-is
+ , node-react-test-renderer
  , node-read-pkg
  , node-read-pkg-up
  , node-resolve
@@ -73,6 +77,7 @@
  , node-rollup-plugin-typescript
  , node-sane <!nocheck>
  , node-semver
+ , node-sinclair-typebox
  , node-sinon
  , node-slash
  , node-source-map
@@ -95,10 +100,12 @@
  , node-write-file-atomic
  , node-yargs
  , node-yargs-parser
+ , nodejs (>= 14)
  , rollup (>= 2~)
  , ts-node
  , webpack
-Standards-Version: 4.6.0
+ , dh-nodejs
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-jest
 Vcs-Git: https://salsa.debian.org/js-team/node-jest.git
 Homepage: https://jestjs.io
@@ -129,6 +136,7 @@
  , node-emittery
  , node-execa
  , node-exit
+ , node-fb-watchman
  , node-glob
  , node-graceful-fs
  , node-is-generator-fn
@@ -141,9 +149,13 @@
  , node-micromatch
  , node-minimist
  , node-parse-json
+ , node-p-limit
  , node-pirates
  , node-prompts
  , node-react
+ , node-react-dom
+ , node-react-is
+ , node-react-test-renderer
  , node-read-pkg (>= 5.2~)
  , node-read-pkg-up
  , node-resolve
@@ -151,6 +163,7 @@
  , node-rimraf
  , node-sane
  , node-semver
+ , node-sinclair-typebox
  , node-sinon
  , node-slash
  , node-source-map
@@ -166,6 +179,7 @@
  , node-write-file-atomic
  , node-yargs
  , nodejs:any
+Breaks: node-ts-jest (<< 28)
 Provides: ${jest:Provides}
 Description: Delightful JavaScript Testing
  Some features of this testing framework are:
@@ -218,7 +232,9 @@
  , node-resolve-cwd
  , node-strip-ansi
  , node-supports-color
-Provides: ${jest:depsProvides}
+Provides: ${nodeJestDebbundle:Provides}
+Breaks: jest (<< 28.1.2~)
+Replaces: jest (<< 28.1.2~)
 Description: various ittle Node.js modules needed by jest
  This package provides:
   * astral-regex
