## node-jest 29.2.1~ds1+~cs70.48.20

=== debian/changelog ===
node-jest (29.2.1~ds1+~cs70.48.20-1) unstable; urgency=medium

  * New upstream version 29.2.1~ds1+~cs70.48.20
  * Update workspaces list
  * Refresh patches
  * Drop link to @types/jest during build: jest's build no more needs it

 -- Yadd <yadd@debian.org>  Wed, 19 Oct 2022 06:21:11 +0200

node-jest (29.1.2~ds1+~cs70.47.21-2) unstable; urgency=medium

  * Fix build for node-emittery 1

 -- Yadd <yadd@debian.org>  Tue, 18 Oct 2022 17:07:05 +0200

node-jest (29.1.2~ds1+~cs70.47.21-1) unstable; urgency=medium

  * New upstream version 29.1.2~ds1+~cs70.47.21
  * Move @jest/schemas and @jest/types to node-jest-worker
  * Drop fix-jest.useFakeTimers-config-typings patch, now included in upstream

 -- Yadd <yadd@debian.org>  Sun, 02 Oct 2022 18:01:35 +0200

node-jest (29.1.1~ds1+~cs70.47.20-3) unstable; urgency=medium

  * Move jest-util into node-jest-worker (Closes: #1021038)

 -- Yadd <yadd@debian.org>  Sat, 01 Oct 2022 08:18:42 +0200

node-jest (29.1.1~ds1+~cs70.47.20-2) unstable; urgency=medium

  * Fix @types/jest according to Jest Team proposed changes

 -- Yadd <yadd@debian.org>  Thu, 29 Sep 2022 14:05:54 +0200

node-jest (29.1.1~ds1+~cs70.47.20-1) unstable; urgency=medium

  * Replace component by dependency: cjs-module-lexer (Closes: #1019355)
  * New upstream version 29.1.1~ds1+~cs70.47.20
  * Require nodejs >= 14
  * Breaks node-ts-jest < 29
  * Require node-sinclair-typebox >= 0.24.44~
  * Update typescript declarations
  * Drop embedded @tsconfig/node12, now given by ts-node
  * Update patches
  * Update build links
  * Patch @types/jest during build to build ts declarations
    (needed because jest uses an older @types/jest during build)

 -- Yadd <yadd@debian.org>  Thu, 29 Sep 2022 12:13:38 +0200

node-jest (28.1.3~ds+~cs70.48.29-3) unstable; urgency=medium

  * Drop call to __proto__ and drop debian/tests/pkg-js/enable_proto

 -- Yadd <yadd@debian.org>  Tue, 13 Sep 2022 14:36:05 +0200

node-jest (28.1.3~ds+~cs70.48.29-2) unstable; urgency=medium

  * Drop dependency to node-read-pkg-up (replaced by escalade)
  * Drop dependency to read-pkg (build-dependency only)
  * Enable __proto__ in test, needed here for pkg-js-autopkgtest 0.15

 -- Yadd <yadd@debian.org>  Tue, 13 Sep 2022 09:01:22 +0200
