=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
  , node-chalk
  , node-chokidar
  , node-ci-info
+ , node-cjs-module-lexer
  , node-co
  , node-color-name
  , node-convert-source-map
@@ -35,7 +36,7 @@
  , node-csstype
  , node-deepmerge
  , node-detect-newline
- , node-emittery
+ , node-emittery (>= 1)
  , node-execa
  , node-exit
  , node-fast-json-stable-stringify (>= 2.1)
@@ -65,7 +66,6 @@
  , node-react-is
  , node-react-test-renderer
  , node-read-pkg
- , node-read-pkg-up
  , node-resolve
  , node-resolve-cwd <!nocheck>
  , node-resolve-from
@@ -77,7 +77,7 @@
  , node-rollup-plugin-typescript
  , node-sane <!nocheck>
  , node-semver
- , node-sinclair-typebox
+ , node-sinclair-typebox (>= 0.24.44~)
  , node-sinon
  , node-slash
  , node-source-map
@@ -128,6 +128,7 @@
  , node-camelcase
  , node-chalk
  , node-ci-info
+ , node-cjs-module-lexer
  , node-co
  , node-convert-source-map
  , node-cosmiconfig
@@ -156,14 +157,12 @@
  , node-react-dom
  , node-react-is
  , node-react-test-renderer
- , node-read-pkg (>= 5.2~)
- , node-read-pkg-up
  , node-resolve
  , node-resolve-from
  , node-rimraf
  , node-sane
  , node-semver
- , node-sinclair-typebox
+ , node-sinclair-typebox (>= 0.24.44~)
  , node-sinon
  , node-slash
  , node-source-map
@@ -178,8 +177,8 @@
  , node-which
  , node-write-file-atomic
  , node-yargs
- , nodejs:any
-Breaks: node-ts-jest (<< 28)
+ , nodejs:any (>= 14)
+Breaks: node-ts-jest (<< 29)
 Provides: ${jest:Provides}
 Description: Delightful JavaScript Testing
  Some features of this testing framework are:
@@ -195,10 +194,15 @@
 Package: node-jest-worker
 Architecture: all
 Depends: ${misc:Depends}
+ , node-chalk
+ , node-ci-info
+ , node-graceful-fs
  , node-merge-stream
+ , node-picomatch
  , node-supports-color
  , node-types-node
 Breaks: node-rollup-plugin-terser (<< 7.0.2-6~)
+ , jest (<< 29.1.2~ds1+~cs70.47.21-1~)
 Multi-Arch: foreign
 Description: Nodejs module for executing heavy tasks under forked processes in parallel
  jest-worker provides a `Promise` based interface, minimum overhead and
