## node-jest 29.2.2~ds1+~cs70.48.20

=== debian/changelog ===
node-jest (29.2.2~ds1+~cs70.48.20-1) unstable; urgency=medium

  * New upstream version 29.2.2~ds1+~cs70.48.20
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Fri, 28 Oct 2022 22:18:28 +0200

node-jest (29.2.1~ds1+~cs70.48.20-2) unstable; urgency=medium

  * Team upload
  * Fix version in jest internal dependencies
  * Fix @bcoe/v8-coverage build with rollup 3

 -- Yadd <yadd@debian.org>  Fri, 28 Oct 2022 17:19:31 +0200
