=== debian/control ===
--- 
+++ 
@@ -142,8 +142,8 @@
  , node-graceful-fs
  , node-is-generator-fn
  , node-istanbul
- , node-jest-debbundle
- , node-jest-worker
+ , node-jest-debbundle (= ${binary:Version})
+ , node-jest-worker (= ${binary:Version})
  , node-jsdom
  , node-json-stable-stringify
  , node-leven
