## node-jest 29.3.1~ds1+~cs70.48.22

=== debian/changelog ===
node-jest (29.3.1~ds1+~cs70.48.22-1) unstable; urgency=medium

  * New upstream version 29.3.1~ds1+~cs70.48.22
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 09 Nov 2022 19:23:14 +0100

node-jest (29.2.2~ds1+~cs70.48.20-2) unstable; urgency=medium

  * Fix provides field
  * Update copyright

 -- Yadd <yadd@debian.org>  Fri, 04 Nov 2022 10:14:16 +0100
