## node-jest 29.3.1~ds1+~cs70.48.25

=== debian/changelog ===
node-jest (29.3.1~ds1+~cs70.48.25-2) unstable; urgency=medium

  * Duplicate Breaks field with Replaces (Closes: #1035008)

 -- Yadd <yadd@debian.org>  Fri, 28 Apr 2023 06:42:41 +0400

node-jest (29.3.1~ds1+~cs70.48.25-1) unstable; urgency=medium

  * New upstream version 29.3.1~ds1+~cs70.48.25 (updates @types/jest)

 -- Yadd <yadd@debian.org>  Mon, 12 Dec 2022 21:18:22 +0100
