=== debian/control ===
--- 
+++ 
@@ -203,6 +203,8 @@
  , node-types-node
 Breaks: node-rollup-plugin-terser (<< 7.0.2-6~)
  , jest (<< 29.1.2~ds1+~cs70.47.21-1~)
+Replaces: jest (<< 29.1.2~ds1+~cs70.47.21-1~)
+Provides: ${nodeJestWorker:Provides}
 Multi-Arch: foreign
 Description: Nodejs module for executing heavy tasks under forked processes in parallel
  jest-worker provides a `Promise` based interface, minimum overhead and
