=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	# Use chalk@4 types (copied in debian/build_modules/@types/chalk)
 	perl -i -ne 'print unless /"types"/' node_modules/chalk/package.json
 	find node_modules/chalk/ -name '*.d.ts' -delete
+	rm -f node_modules/@types/jest
 	node ./scripts/buildTs.mjs
 	# jest-snapshot-serializer-raw needs jest to be built
 	cd ./jest-snapshot-serializer-raw && sh -ex ../debian/nodejs/jest-snapshot-serializer-raw/_build
