## node-jest 29.6.2~ds1%2B~cs73.45.28

=== debian/changelog ===
node-jest (29.6.2~ds1+~cs73.45.28-8) unstable; urgency=high

  * Team upload
  * Fix FTBFS with recent node-supports-color

 -- Bastien Roucariès <rouca@debian.org>  Thu, 30 Oct 2025 11:37:01 +0100

node-jest (29.6.2~ds1+~cs73.45.28-7) unstable; urgency=medium

  [ Yadd ]
  * Declare compliance with policy 4.7.0

  [ Jérémy Lal ]
  * Add ignoreDeprecations flag to our rollup config,
    and to tsconfig.json (with a patch). Closes: #1090013.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 01 Sep 2025 23:49:48 +0200

node-jest (29.6.2~ds1+~cs73.45.28-6) unstable; urgency=medium

  * Team upload
  * buildext on node-supports-color

 -- Bastien Roucariès <rouca@debian.org>  Fri, 16 Aug 2024 09:39:55 +0000

node-jest (29.6.2~ds1+~cs73.45.28-5) unstable; urgency=medium

  * Don't install examples in nodejs root directory

 -- Yadd <yadd@debian.org>  Wed, 13 Dec 2023 14:07:49 +0400

node-jest (29.6.2~ds1+~cs73.45.28-4) unstable; urgency=medium

  * Ignore example-react-native during autopkgtest

 -- Yadd <yadd@debian.org>  Wed, 13 Dec 2023 13:56:26 +0400

node-jest (29.6.2~ds1+~cs73.45.28-3) unstable; urgency=medium

  * Fix jest-snapshot-serializer-raw commonjs
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Update typescript patch (Closes: #1058509)

 -- Yadd <yadd@debian.org>  Wed, 13 Dec 2023 13:22:06 +0400

node-jest (29.6.2~ds1+~cs73.45.28-2) unstable; urgency=medium

  * Replace dependency to node-json-stable-stringify by
    node-fast-json-stable-stringify

 -- Yadd <yadd@debian.org>  Sun, 13 Aug 2023 09:31:30 +0400

node-jest (29.6.2~ds1+~cs73.45.28-1) unstable; urgency=medium

  * New upstream version 29.6.2~ds1+~cs73.45.28
  * Update ts patch
  * Build commonjs files for jest-snapshot-serializer-raw
    (needed by ts-jest tests)
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 12 Aug 2023 18:48:59 +0400

node-jest (29.6.1~ds1+~cs73.45.28-1) experimental; urgency=medium

  [ lintian-brush ]
  * Update lintian override info format in d/source/lintian-overrides
    on line 16-17
  * Update standards version to 4.6.2, no changes needed

  [ Yadd ]
  * Refresh patches
  * Add dependency to node-pure-rand
  * Update copyright
  * New upstream version 29.6.1~ds1+~cs73.45.28, updates
    - jest 29.6.1
    - collect-v8-coverage 1.0.2
    - jest-snapshot-serializer-raw 2.0.0
    - support-hyperlinks 3.0.0
    - @types/jest 29.5.3
  * Update patches

 -- Yadd <yadd@debian.org>  Mon, 24 Jul 2023 12:54:17 +0400
