## node-jest 29.6.2~ds1+~cs73.45.28

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: node-jest
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Pirate Praveen <praveen@debian.org>,
- Yadd <yadd@debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>
+ , Yadd <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: chai
- , debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13)
+ , dh-nodejs
  , dh-sequence-nodejs (>= 0.14.14~)
+ , chai
  , help2man
- , node-async-done
  , node-ansi-escapes
  , node-ansi-regex
  , node-ansi-styles
  , node-anymatch (>= 3.1.2)
+ , node-async-done
  , node-babel-core (>= 7.8.3)
  , node-babel-preset-react (>= 7)
  , node-babel-register (>= 7)
@@ -39,7 +40,7 @@
  , node-emittery (>= 1)
  , node-execa
  , node-exit
- , node-fast-json-stable-stringify (>= 2.1)
+ , node-fast-json-stable-stringify
  , node-fb-watchman
  , node-flow-remove-types <!nocheck>
  , node-glob
@@ -48,7 +49,6 @@
  , node-is-generator-fn
  , node-istanbul
  , node-jsdom (>= 20.0.0+~cs119.22.37-3~)
- , node-json-stable-stringify
  , node-leven
  , node-make-error
  , node-merge-stream
@@ -61,6 +61,7 @@
  , node-parse-json
  , node-prompts
  , node-prop-types
+ , node-pure-rand
  , node-react
  , node-react-dom
  , node-react-is
@@ -77,7 +78,7 @@
  , node-rollup-plugin-typescript
  , node-sane <!nocheck>
  , node-semver
- , node-sinclair-typebox (>= 0.24.44~)
+ , node-sinclair-typebox
  , node-sinon
  , node-slash
  , node-source-map
@@ -89,11 +90,11 @@
  , node-supports-color
  , node-tough-cookie
  , node-types-gulp
+ , node-types-mocha
  , node-types-node
- , node-types-mocha
- , node-types-vinyl-fs
  , node-types-undertaker
  , node-types-undertaker-registry
+ , node-types-vinyl-fs
  , node-typescript (>= 4.4.4~)
  , node-v8-to-istanbul (>= 8~)
  , node-vinyl
@@ -101,11 +102,11 @@
  , node-yargs
  , node-yargs-parser
  , nodejs (>= 14)
- , rollup (>= 2~)
+ , rollup
  , ts-node
+ , uvu
  , webpack
- , dh-nodejs
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-jest
 Vcs-Git: https://salsa.debian.org/js-team/node-jest.git
 Homepage: https://jestjs.io
@@ -137,6 +138,7 @@
  , node-emittery
  , node-execa
  , node-exit
+ , node-fast-json-stable-stringify
  , node-fb-watchman
  , node-glob
  , node-graceful-fs
@@ -145,14 +147,14 @@
  , node-jest-debbundle (= ${binary:Version})
  , node-jest-worker (= ${binary:Version})
  , node-jsdom
- , node-json-stable-stringify
  , node-leven
  , node-micromatch
  , node-minimist
+ , node-p-limit
  , node-parse-json
- , node-p-limit
  , node-pirates
  , node-prompts
+ , node-pure-rand
  , node-react
  , node-react-dom
  , node-react-is
@@ -162,7 +164,7 @@
  , node-rimraf
  , node-sane
  , node-semver
- , node-sinclair-typebox (>= 0.24.44~)
+ , node-sinclair-typebox
  , node-sinon
  , node-slash
  , node-source-map
@@ -193,6 +195,7 @@
 
 Package: node-jest-worker
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
  , node-chalk
  , node-ci-info
@@ -201,11 +204,10 @@
  , node-picomatch
  , node-supports-color
  , node-types-node
-Breaks: node-rollup-plugin-terser (<< 7.0.2-6~)
- , jest (<< 29.1.2~ds1+~cs70.47.21-1~)
+Breaks: jest (<< 29.1.2~ds1+~cs70.47.21-1~)
+ , node-rollup-plugin-terser (<< 7.0.2-6~)
+Provides: ${nodeJestWorker:Provides}
 Replaces: jest (<< 29.1.2~ds1+~cs70.47.21-1~)
-Provides: ${nodeJestWorker:Provides}
-Multi-Arch: foreign
 Description: Nodejs module for executing heavy tasks under forked processes in parallel
  jest-worker provides a `Promise` based interface, minimum overhead and
  bound workers.
@@ -238,8 +240,8 @@
  , node-resolve-cwd
  , node-strip-ansi
  , node-supports-color
+Breaks: jest (<< 28.1.2~)
 Provides: ${nodeJestDebbundle:Provides}
-Breaks: jest (<< 28.1.2~)
 Replaces: jest (<< 28.1.2~)
 Description: various ittle Node.js modules needed by jest
  This package provides:
