=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	perl -i -ne 'print unless /"types"/' node_modules/chalk/package.json
 	find node_modules/chalk/ -name '*.d.ts' -delete
 	rm -f node_modules/@types/jest
-	node ./scripts/buildTs.mjs
+	node ./scripts/buildTs.mjs || node ./scripts/buildTs.mjs
 	# jest-snapshot-serializer-raw needs jest to be built
 	cd ./jest-snapshot-serializer-raw && sh -ex ../debian/nodejs/jest-snapshot-serializer-raw/_build
 	$(HELP2MAN) packages/jest/bin/jest.js --name 'Delightful JavaScript Testing' >jest.1
