=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=4
 opts=\
-repacksuffix=~ds,\
+repacksuffix=~ds1,\
 dversionmangle=auto,\
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jest-$1/ \
  https://github.com/facebook/jest/tags .*/archive/.*/v?([\d\.]+).tar.gz group
