## node-jest 29.6.2~ds2+~cs73.45.28

=== debian/changelog ===
node-jest (29.6.2~ds2+~cs73.45.28-1) unstable; urgency=medium

  * Team upload
  * Drop is-ci and move to other package

 -- Bastien Roucariès <rouca@debian.org>  Sun, 01 Mar 2026 01:32:37 +0100

node-jest (29.6.2~ds1+~cs73.45.28-11) unstable; urgency=high

  * Team upload
  * Remove local @types and fix chalk avoiding FTBFS

 -- Bastien Roucariès <rouca@debian.org>  Thu, 26 Feb 2026 00:12:10 +0100

node-jest (29.6.2~ds1+~cs73.45.28-10) unstable; urgency=medium

  * Team upload
  * Fix ansi-regex, thansk to kapouer

 -- Bastien Roucariès <rouca@debian.org>  Mon, 23 Feb 2026 00:54:26 +0100

node-jest (29.6.2~ds1+~cs73.45.28-9) unstable; urgency=medium

  * Team upload
  * Port to glob@10

 -- Bastien Roucariès <rouca@debian.org>  Wed, 03 Dec 2025 18:21:19 +0100
