=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends: debhelper-compat (= 13)
  , dh-nodejs
  , dh-sequence-nodejs (>= 0.14.14~)
+ , rsync
  , chai
  , help2man
  , node-ansi-escapes
@@ -27,7 +28,7 @@
  , node-camelcase
  , node-chalk
  , node-chokidar
- , node-ci-info
+# , node-ci-info (>> 4.4.0+~cs8.2.0-1~)
  , node-cjs-module-lexer
  , node-co
  , node-color-name
@@ -43,7 +44,7 @@
  , node-fast-json-stable-stringify
  , node-fb-watchman
  , node-flow-remove-types <!nocheck>
- , node-glob
+ , node-glob (>=10)
  , node-glob-stream
  , node-graceful-fs
  , node-is-generator-fn
@@ -80,14 +81,14 @@
  , node-semver
  , node-sinclair-typebox
  , node-sinon
- , node-slash
+ , node-slash (>= 4.0.0~)
  , node-source-map
  , node-source-map-support
  , node-stack-utils
  , node-strip-ansi <!nocheck>
  , node-strip-bom
  , node-strip-json-comments <!nocheck>
- , node-supports-color
+ , node-supports-color (>= 9.0~)
  , node-tough-cookie
  , node-types-gulp
  , node-types-mocha
@@ -106,7 +107,7 @@
  , ts-node
  , uvu
  , webpack
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-jest
 Vcs-Git: https://salsa.debian.org/js-team/node-jest.git
 Homepage: https://jestjs.io
@@ -128,7 +129,7 @@
  , node-babel-types (>= 7)
  , node-camelcase
  , node-chalk
- , node-ci-info
+# , node-ci-info (>> 4.4.0+~cs8.2.0-1~)
  , node-cjs-module-lexer
  , node-co
  , node-convert-source-map
@@ -140,7 +141,7 @@
  , node-exit
  , node-fast-json-stable-stringify
  , node-fb-watchman
- , node-glob
+ , node-glob (>= 10)
  , node-graceful-fs
  , node-is-generator-fn
  , node-istanbul
@@ -166,7 +167,7 @@
  , node-semver
  , node-sinclair-typebox
  , node-sinon
- , node-slash
+ , node-slash (>= 4.0.0~)
  , node-source-map
  , node-source-map-support
  , node-stack-utils
@@ -198,11 +199,11 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
  , node-chalk
- , node-ci-info
+# , node-ci-info (>> 4.4.0+~cs8.2.0-1~)
  , node-graceful-fs
  , node-merge-stream
  , node-picomatch
- , node-supports-color
+ , node-supports-color (>= 9.0~)
  , node-types-node
 Breaks: jest (<< 29.1.2~ds1+~cs70.47.21-1~)
  , node-rollup-plugin-terser (<< 7.0.2-6~)
@@ -234,12 +235,12 @@
 Depends: ${misc:Depends}
  , node-ansi-escapes
  , node-babel-plugin-lodash
- , node-ci-info
+# , node-ci-info (>> 4.4.0+~cs8.2.0-1~)
  , node-has-flag
  , node-pkg-dir
  , node-resolve-cwd
  , node-strip-ansi
- , node-supports-color
+ , node-supports-color (>= 9.0~)
 Breaks: jest (<< 28.1.2~)
 Provides: ${nodeJestDebbundle:Provides}
 Replaces: jest (<< 28.1.2~)
@@ -252,7 +253,6 @@
   * char-regex
   * dedent
   * import-local
-  * is-ci
   * p-each-series
   * p-reduce
   * repl
