=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
 
@@ -12,12 +12,12 @@
 %:
 	dh $@
 
+execute_after_dh_auto_configure:
+	rsync -av debian/prebuild-modules/ node_modules/
+
 override_dh_auto_build:
 	dh_auto_build --buildsystem=nodejs
 	NODE_PATH=debian/build_modules node ./scripts/build.mjs
-	# Use chalk@4 types (copied in debian/build_modules/@types/chalk)
-	perl -i -ne 'print unless /"types"/' node_modules/chalk/package.json
-	find node_modules/chalk/ -name '*.d.ts' -delete
 	rm -f node_modules/@types/jest
 	node ./scripts/buildTs.mjs || node ./scripts/buildTs.mjs
 	# jest-snapshot-serializer-raw needs jest to be built
@@ -33,6 +33,14 @@
 		cd $(JESTDIR) && rm -rf `cat ../../debian/node-*.install|sed 's/.* //g'`; \
 		rmdir usr/share/nodejs/@bcoe; \
 	fi
+	mkdir -p $(CURDIR)/debian/node-jest-debbundle/usr/share/nodejs/import-local/fixtures
+	cp import-local/fixtures/cli.js $(CURDIR)/debian/node-jest-debbundle/usr/share/nodejs/import-local/fixtures
+	mkdir -p debian/jest/usr/share/nodejs/jest-config/node_modules
+	mkdir -p debian/jest/usr/share/nodejs/@jest/core/node_modules
+	mkdir -p debian/node-jest-worker/usr/share/nodejs/jest-util/node_modules
+	rsync -av debian/prebuild-modules/ debian/jest/usr/share/nodejs/jest-config/node_modules
+	rsync -av debian/prebuild-modules/ debian/node-jest-worker/usr/share/nodejs/jest-util/node_modules
+	rsync -av debian/prebuild-modules/ debian/jest/usr/share/nodejs/@jest/core/node_modules
 
 override_dh_installdocs:
 	dh_installdocs
@@ -53,7 +61,6 @@
 	dh_fixperms
 	if [ -e $(CURDIR)/debian/node-jest-debbundle ]; then \
 		chmod +x $(CURDIR)/debian/node-jest-debbundle/usr/share/nodejs/import-local/fixtures/cli.js; \
-		chmod +x $(CURDIR)/debian/node-jest-debbundle/usr/share/nodejs/is-ci/bin.js; \
 	fi
 	if [ -e $(JESTDIR) ]; then \
 		chmod +x $(JESTDIR)/usr/share/nodejs/jest/bin/jest.js; \
