=== debian/watch ===
--- 
+++ 
@@ -60,5 +60,3 @@
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-import-local-$1/ \
  https://github.com/sindresorhus/import-local/tags .*/archive/.*/v?(3[\d\.]+).tar.gz checksum
 
-opts=\
-ctype=nodejs,\
